IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[privateview_24]') AND type = 'V')
DROP VIEW [dbo].[privateview_24]
GO
CREATE VIEW [dbo].[privateview_24]
AS
select  TMID objid ,TMID,TM,DLID,DL,XLID,XL,KH,PM,COLOR,SIZES, LSJ,CGJ,MODIFIEDDATE,ISACTIVE  from  ebs2java.dbo.pos_product  where  dlid =4670  or  DLID=4917